Package org.springframework.validation.beanvalidation

# Class CustomValidatorBean

java.lang.Object
org.springframework.validation.beanvalidation.SpringValidatorAdapter
org.springframework.validation.beanvalidation.CustomValidatorBean

All Implemented Interfaces:
  `Validator`, `org.springframework.beans.factory.InitializingBean`, `SmartValidator`, `Validator`

public class CustomValidatorBean extends SpringValidatorAdapter implements Validator, org.springframework.beans.factory.InitializingBean
Configurable bean class that exposes a specific JSR-303 Validator through its original interface as well as through the Spring `Validator` interface.

Since:
  3.0
Author:
  Juergen Hoeller

## Constructor Summary

Constructors
Constructor
Description
`CustomValidatorBean()`

## Method Summary

Modifier and Type
Method
Description
`void`
`afterPropertiesSet()`
`void`
`setMessageInterpolator(MessageInterpolator messageInterpolator)`
Specify a custom MessageInterpolator to use for this Validator.
`void`
`setTraversableResolver(TraversableResolver traversableResolver)`
Specify a custom TraversableResolver to use for this Validator.
`void`
`setValidatorFactory(ValidatorFactory validatorFactory)`
Set the ValidatorFactory to obtain the target Validator from.

### Methods inherited from class org.springframework.validation.beanvalidation.SpringValidatorAdapter

`determineErrorCode, determineField, forExecutables, getArgumentsForConstraint, getConstraintsForClass, getRejectedValue, getResolvableField, processConstraintViolations, requiresMessageFormat, supports, unwrap, validate, validate, validate, validateProperty, validateValue, validateValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface jakarta.validation.Validator

`forExecutables, getConstraintsForClass, unwrap, validate, validateProperty, validateValue`

### Methods inherited from interface org.springframework.validation.Validator

`validateObject`

## Constructor Details

### CustomValidatorBean

public CustomValidatorBean()

## Method Details

### setValidatorFactory

public void setValidatorFactory(ValidatorFactory validatorFactory)
Set the ValidatorFactory to obtain the target Validator from.

Default is `Validation.buildDefaultValidatorFactory()`.

### setMessageInterpolator

public void setMessageInterpolator(MessageInterpolator messageInterpolator)
Specify a custom MessageInterpolator to use for this Validator.

### setTraversableResolver

public void setTraversableResolver(TraversableResolver traversableResolver)
Specify a custom TraversableResolver to use for this Validator.

### afterPropertiesSet

public void afterPropertiesSet()

Specified by:
  `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`